summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohannes Ranke <johannes.ranke@jrwb.de>2026-08-25 07:05:49 +0200
committerJohannes Ranke <johannes.ranke@jrwb.de>2026-08-25 07:07:53 +0200
commit7e7a89fcaee72bf8b79a312897b6e5db39500f86 (patch)
tree1b4032f6d78808e6071d6ec40f0d7155c76613f8
parentbb78c3254435de2faaa448b72f7b047b49f67ade (diff)
Add move script for riscv64HEADmaster
-rwxr-xr-xmove_debs_riscv6425
1 files changed, 25 insertions, 0 deletions
diff --git a/move_debs_riscv64 b/move_debs_riscv64
new file mode 100755
index 0000000..3ebc4fc
--- /dev/null
+++ b/move_debs_riscv64
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# Copy binary packages built in a chroot on a remote server to the local repository
+
+usage()
+{
+echo "Usage: ./move_debs forky|trixie"
+}
+
+# Positional argument
+if [ $# -lt 1 ]; then usage; exit 1; fi
+DIST=$1
+
+# Validate distribution argument
+if [ $DIST != "forky" ] && [ $DIST != "trixie" ]; then usage; exit 1; fi
+
+# This is the line used for the server at Hetzner
+#scp arm64:/var/chroot/$DIST-arm64/root/r-backports/$DIST/*${DIST}cran*_arm64.{deb,build} /home/jranke/git/uni-bremen/website/www/ranke/r-cran/$DIST-cran46
+
+# The following line was used for the first compile that was not done in a chroot, but in the installed trixie system
+#scp raspi5:/home/jranke/r-backports/$DIST/*${DIST}cran*_arm64.{deb,build} /home/jranke/git/uni-bremen/website/www/ranke/r-cran/$DIST-cran46
+
+# This line should suffice in the future, when I do both distributions in a chroot
+scp f3:/home/jranke/r-backports/$DIST/*${DIST}cran*_riscv64.{deb,build} /home/jranke/git/uni-bremen/website/www/ranke/r-cran/$DIST-cran46
+sudo chown jranke /home/jranke/git/uni-bremen/website/www/ranke/r-cran/$DIST-cran46

Contact - Imprint